import request from '@/utils/request'

// 查询主数据流向列表
export function listLog(query) {
  return request({
    url: '/md/log/list',
    method: 'get',
    params: query
  })
}

// 查询主数据流向详细
export function getLog(dataSycId) {
  return request({
    url: '/md/log/' + dataSycId,
    method: 'get'
  })
}

// 新增主数据流向
export function addLog(data) {
  return request({
    url: '/md/log',
    method: 'post',
    data: data
  })
}

// 修改主数据流向
export function updateLog(data) {
  return request({
    url: '/md/log',
    method: 'put',
    data: data
  })
}

// 删除主数据流向
export function delLog(dataSycId) {
  return request({
    url: '/md/log/' + dataSycId,
    method: 'delete'
  })
}
